Bug 387991 - curl+NSS doesn't work in non-blocking mode
curl+NSS doesn't work in non-blocking mode
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: curl (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: secondlife
  Show dependency treegraph
 
Reported: 2007-11-16 20:48 EST by Rob Crittenden
Modified: 2013-07-02 19:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: 7.17.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 13:06:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2007-11-16 20:48:36 EST
Description of problem:

curl with NSS as the SSL engine doesn't work with Second Life. The only
information is a crypto authentication error. It works fine with curl + OpenSSL.

Version-Release number of selected component (if applicable):

curl-7.16.4-8.fc7.src.rpm

How reproducible:

Every time

Steps to Reproduce:
1. Build Second Life dependencies (openjpeg and xmlrpc-epi) from
https://bugzilla.redhat.com/show_bug.cgi?id=233946
2. Build Second Life
3. secondlife --channel "Second Life Open Source [Fedora]"
  
Actual results:

You'll get an auth failure amongst some very verbose output. See this for the
complete message:

https://lists.secondlife.com/pipermail/sldev/2007-November/006674.html

Expected results:

Log in to the game world.

Additional info:
Comment 1 Rob Crittenden 2007-11-16 20:53:03 EST
It was a one-line patch. The NSS engine in curl was failing to set the SSL
availability flag on the socket when nonblocking sockets. curl was reading and
writing to some unknown place but it wasn't the NSS socket.

A srpm with a patch can be found at
http://rcritten.fedorapeople.org/curl-7.16.4-9.fc7.src.rpm
Comment 2 Callum Lerwick 2007-11-19 18:33:29 EST
This appears to fix it. Please merge, as Second Life is unusable without it.
Comment 3 Jindrich Novy 2007-11-20 04:52:50 EST
Update for this is filed for F8 and pending.
Comment 4 Fedora Update System 2007-11-20 13:06:47 EST
curl-7.17.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.